Bug 505124 - Evolution-MAPI cannot connect to exchange server
Evolution-MAPI cannot connect to exchange server
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 14:09 EDT by Brian Wheeler
Modified: 2010-07-06 05:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-13 07:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 585638 None None None Never

  None (edit)
Description Brian Wheeler 2009-06-10 14:09:59 EDT
Description of problem:

When setting up a mailbox that connects to exchange, it never logs in.

Version-Release number of selected component (if applicable):

evolution-mapi-0.26.1-1.fc11.x86_64
evolution-data-server-2.26.2-1.fc11.x86_64
evolution-data-server-doc-2.26.2-1.fc11.noarch
evolution-2.26.2-1.fc11.x86_64
evolution-help-2.26.2-1.fc11.noarch
evolution-data-server-devel-2.26.2-1.fc11.x86_64
evolution-perl-2.26.2-1.fc11.x86_64

Mailbox server Microsoft Exchange Version:  8.1.240.0

How reproducible:

Every time


Steps to Reproduce:
1. Edit -> Preferences
2. Select "Exchange MAPI"
3. Put in the server from the "Mailbox server name" from OWA's Options/About
4. Fill in username and domain
5. Press authenticate and enter password
  
Actual results:

Get dialog with "Authentication failed.  MapiLogonProvider:MAPI_E_LOGIN_FAILED"


Expected results:

Forward button enables and mailbox configuration continues.

Additional info:
Here's the console output from running evolution.


** (evolution:8884): DEBUG: Loading Exchange MAPI Plugin 

** (evolution:8884): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts 
** (evolution:8884): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:8884): DEBUG: mailto URL program: evolution
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-ExchangeMAPI'
Create profile with bdwheele ADS iu-mssg-mbx04.ads.iu.edu
libexchangemapi-Message: exchange-mapi-connection.c:2874: exchange_mapi_create_profile: lock(connect_lock)
Logging into the server... Failed to bind to uuid 1544f5e0-613c-11d1-93df-00c04fd7bd09 - NT_STATUS_NET_WRITE_FAULT
Failed to bind to uuid f5cc5a18-4264-101a-8c59-08002b2f8426 - NT_STATUS_NET_WRITE_FAULT
    MapiLogonProvider        : MAPI_E_LOGON_FAILED (0x80040111)
(evolution:8884): libexchangemapi-DEBUG: Deleting profile bdwheele@ADS 
libexchangemapi-Message: exchange-mapi-connection.c:2966: exchange_mapi_create_profile: unlock(connect_lock)

(evolution:8884): e-data-server-ui-WARNING **: Unable to find password(s) in keyring (Keyring reports: No matching results)

(evolution:8884): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-ExchangeMAPI'
Create profile with bdwheele ADS iu-mssg-mbx04.ads.iu.edu
libexchangemapi-Message: exchange-mapi-connection.c:2874: exchange_mapi_create_profile: lock(connect_lock)
Logging into the server... Failed to bind to uuid 1544f5e0-613c-11d1-93df-00c04fd7bd09 - NT_STATUS_NET_WRITE_FAULT
Failed to bind to uuid f5cc5a18-4264-101a-8c59-08002b2f8426 - NT_STATUS_NET_WRITE_FAULT
    MapiLogonProvider        : MAPI_E_LOGON_FAILED (0x80040111)
(evolution:8884): libexchangemapi-DEBUG: Deleting profile bdwheele@ADS 
libexchangemapi-Message: exchange-mapi-connection.c:2966: exchange_mapi_create_profile: unlock(connect_lock)

(evolution:8884): e-data-server-ui-WARNING **: Unable to find password(s) in keyring (Keyring reports: No matching results)

(evolution:8884): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
Comment 1 Matthew Barnes 2009-06-13 07:08:12 EDT
Moving this upstream for better visibility.  Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=585638

Note You need to log in before you can comment on or make changes to this bug.